import { z } from "zod";

const loginSchemaEmail = z.object({
  email: z.string().email("Invalid email address"),
  password: z.string().min(5, "Password must be at least 5 characters"),
  rememberMe: z.boolean().optional().default(false),
});

const loginSchemaPhone = z.object({
  phone: z.string().regex(/^[0-9]{10}$/, "Invalid phone number"),
  password: z.string().min(5, "Password must be at least 5 characters"),
  rememberMe: z.boolean().optional().default(false),
});

export { loginSchemaEmail, loginSchemaPhone };
